# $Revision: 1.10.2.2 $, $Date: 2003/08/08 18:28:28 $
Summary:	Mp3 output plugin for XMMS
Summary(pl):	Wtyczka dla XMMS kompresujca wyjcie do plikw mp3
Name:		xmms-output-lame
Version:	0.2.2
Release:	1
License:	GPL
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/my-xmms-plugs/out_lame-%{version}.tar.gz
# Source0-md5:	7ee5905e8eaa8eb149a9d6d260222abd
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	lame-libs-devel
BuildRequires:	libtool
BuildRequires:	xmms-devel
Requires:	xmms
Provides:	xmms-output-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --output-plugin-dir)

%description 
This plugin allows xmms to play sounds though LAME mp3 encoder.

%description -l pl
Ta wtyczka pozwala xmms-owi odtwarza muzyk poprzez koder mp3 LAME.

%prep
%setup -q -n out_lame

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_xmms_plugin_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ChangeLog
%attr(755,root,root) %{_xmms_plugin_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-output-lame.spec,v $
Revision 1.10.2.2  2003/08/08 18:28:28  misi3k
- updated to 0.2.2
- rel 1
- rebuild
- md5

Revision 1.10.2.1  2003/07/11 12:04:55  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.10  2003/02/09 19:17:01  kloczek
- install plugin in system avalailbe xmms plugin depending path.

Revision 1.9  2003/01/31 21:25:46  grzegol
- changed hard-cored xmms prefix into xmms-config --prefix
- rel. 4

Revision 1.8  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.7  2002/12/26 14:48:47  orzech
- missing Provides

Revision 1.6  2002/10/09 10:11:55  qboosh
- BR: libtool

Revision 1.5  2002/09/19 17:49:47  kloczek
- release 2: corrected Source url, use new doc and use more macros.

Revision 1.4  2002/07/14 22:27:06  wolf
- source

Revision 1.3  2002/05/21 23:15:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/30 13:27:16  qboosh
- cosmetics in pl description

Revision 1.1  2002/04/29 19:46:00  filon
- initial release, STBR
